<%= form_with(model: quiz) do |form| %>
  <% if quiz.errors.any? %>
    <div style="color: red">
      <h2><%= pluralize(quiz.errors.count, "error") %> prohibited this quiz from being saved:</h2>

      <ul>
        <% quiz.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div>
    <%= form.label :identifier, style: "display: block" %>
    <%= form.text_field :identifier %>
  </div>

  <div>
    <%= form.label :title, style: "display: block" %>
    <%= form.text_field :title %>
  </div>

  <div>
    <%= form.label :description, style: "display: block" %>
    <%= form.text_field :description %>
  </div>

  <div>
    <%= form.label :config, style: "display: block" %>
    <%= form.text_field :config %>
  </div>

  <div>
    <%= form.label :result_calculator, style: "display: block" %>
    <%= form.text_field :result_calculator %>
  </div>

  <div>
    <%= form.submit %>
  </div>
<% end %>
